List milestones for a project with ticket progress
GET
/projects/{id}/milestones
const url = 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/milestones?status=open';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/milestones?status=open' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Project UUID
Query Parameters
Section titled “Query Parameters ” status
string
Responses
Section titled “ Responses ”Milestones with progress counts
Media type application/json
object
milestones
required
Array<object>
object
id
required
string format: uuid
project_id
required
string format: uuid
title
required
string
description
string | null
due_date
string | null format: date
status
required
string
github_milestone_number
integer | null
github_milestone_url
string | null
github_repo
string | null
open_tickets
integer
closed_tickets
integer
total_tickets
integer
progress_pct
integer
horizon
string
position
integer
created_at
required
string format: date-time
updated_at
string format: date-time
total
required
integer
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Forbidden
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number